%define name 	pam_ldap
%define version 105
%define release 1mdk

%define		_libdir		/lib

Summary:	LDAP Pluggable Authentication Module
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License:	LGPL
Group:		System/Libraries
Source0:	ftp://ftp.padl.com/pub/%{name}-%{version}.tar.bz2
Patch0:		%name-makefile.patch.bz2
URL:		http://www.padl.com/
BuildRequires:	openldap-devel
Requires:	nss_ldap
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description 
This is pam_ldap, a pluggable authentication module that can be used
with linux-PAM. This module supports password changes, V2 clients,
Netscapes SSL, ypldapd, Netscape Directory Server password policies,
access authorization, crypted hashes, etc.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch0 -p1

%build
%configure 
%__make 


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS NEWS COPYING COPYING.LIB README ChangeLog pam.d 
%doc nsswitch.ldap
%config(noreplace) %{_sysconfdir}/ldap.conf
%{_libdir}/security/*.so*



%changelog
* Thu Mar 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 105-1mdk
- patch makefile
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- new release
	- splitted package




